## WebKitFormSubmissionRequest WebKitFormSubmissionRequest — Represents a form submission request |

## Functions

GHashTable * | webkit_form_submission_request_get_text_fields ()
gboolean | webkit_form_submission_request_list_text_fields ()
void | webkit_form_submission_request_submit ()

## Types and Values

struct | WebKitFormSubmissionRequest

## Object Hierarchy

        GObject
        ╰── WebKitFormSubmissionRequest

## Description

When a form is about to be submitted in a WebKitWebView, the “submit-form” signal is emitted. Its request argument contains information about the text fields of the form, that are typically used to store login information, returned as lists by `webkit_form_submission_request_list_text_fields()`. You can submit the form with `webkit_form_submission_request_submit()`.

## Functions

### webkit_form_submission_request_get_text_fields ()

    GHashTable *
    webkit_form_submission_request_get_text_fields
                                   (WebKitFormSubmissionRequest *request);

`webkit_form_submission_request_get_text_fields` has been deprecated since version 2.20. and should not be used in newly-written code.

Use `webkit_form_submission_request_list_text_fields()` instead.

Get a GHashTable with the values of the text fields contained in the form associated to `request` . Note that fields will be missing if the form contains multiple text input elements with the same name, so this function does not reliably return all text fields.

#### Parameters

request | a WebKitFormSubmissionRequest |

#### Returns

a GHashTable with the form text fields, or `NULL` if the form doesn't contain text fields.

[allow-none][transfer none]

### webkit_form_submission_request_list_text_fields ()

    gboolean
    webkit_form_submission_request_list_text_fields
                                   (WebKitFormSubmissionRequest *request,
                                    GPtrArray **field_names,
                                    GPtrArray **field_values);

Get lists with the names and values of the text fields contained in the form associated to `request` . Note that names and values may be `NULL`.

If this function returns `FALSE`, then both `field_names` and `field_values` will be empty.

#### Parameters

request | a WebKitFormSubmissionRequest |
field_names | names of the text fields in the form. | [out][optional][element-type utf8][transfer none]
field_values | values of the text fields in the form. | [out][optional][element-type utf8][transfer none]

#### Returns

`TRUE` if the form contains text fields, or `FALSE` otherwise

Since: 2.20

### webkit_form_submission_request_submit ()

    void
    webkit_form_submission_request_submit (WebKitFormSubmissionRequest *request);

Continue the form submission.

#### Parameters

request | a WebKitFormSubmissionRequest |

## Types and Values

### struct WebKitFormSubmissionRequest

    struct WebKitFormSubmissionRequest;